Tor Proxy
===========================

This is a Tor Proxy Docker container for "torifying" other Docker-based services in a Docker Compose project.  It creates a Tor Hidden Service with an onion hostname that persists as long as it's underlying storage volume.  The Tor Hidden Service listens on the specified port and proxies traffice to the specified target host:port.

### Example Usage

`docker-compose.yml`:
```
...

  mysvc_tor_proxy:
    build:
      context: ./tor
      args:
        - SVC_LISTEN_PORT=80
        - SVC_TARGET_HOST=mysvc
        - SVC_TARGET_PORT=8080
    volumes:
      - mysvc_config:/var/lib/tor
    depends_on:
      - mysvc
    restart: unless-stopped

...
```
